Name: unixODBC
Version: 2.3.9
Release: 1
License: LGPL-2.1-or-later
Summary: ODBC Driver Manager for Unix Systems
Url: http://www.unixodbc.org/

BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libtool

BuildRequires: libiconv-devel
BuildRequires: readline-devel

Source0: ftp://ftp.unixodbc.org/pub/unixODBC/unixODBC-%{version}.tar.gz

Patch0: unixodbc-configure.ac.patch

%description
The unixODBC aims to develop and promote unixODBC to be the definitive standard
for ODBC on non MS Windows platforms.


%package -n libodbc2
Summary: libodbc library

%description -n libodbc2
ODBC libraries

%package devel
Summary: unixODBC development files
Requires: libodbc2 = %{version}

%description devel
Development files for unixODBC


%prep
%setup -q

%patch0 -p1

%build

autoreconf -fi

%configure \
  CPPFLAGS='-I%{_includedir}/libiconv' \
  LDFLAGS="-Wl,-brtl -Wl,-blibpath:%{_libdir}:/QOpenSys/usr/lib" \
  --with-aix-soname=svr4 \
  --disable-nls \
  --enable-readline=yes \
  #end

%make_build

%install

%make_install

rm %{buildroot}/%{_libdir}/*.la

%files
%defattr(-, qsys, *none)

%{_bindir}/dltest
%{_bindir}/isql
%{_bindir}/iusql
%{_bindir}/odbc_config
%{_bindir}/odbcinst
%{_bindir}/slencheck

%config(noreplace) %{_sysconfdir}/odbc.ini
%config(noreplace) %{_sysconfdir}/odbcinst.ini

%{_mandir}/man1/dltest.1*
%{_mandir}/man1/isql.1*
%{_mandir}/man1/iusql.1*
%{_mandir}/man1/odbc_config.1*
%{_mandir}/man1/odbcinst.1*

%{_mandir}/man5/odbc.ini.5*
%{_mandir}/man5/odbcinst.ini.5*
%{_mandir}/man7/unixODBC.7*

%files -n libodbc2
%defattr(-, qsys, *none)

%{_libdir}/libodbc.so.2
%{_libdir}/libodbccr.so.2
%{_libdir}/libodbcinst.so.2

%files devel
%defattr(-, qsys, *none)

%{_libdir}/libodbc.so
%{_libdir}/libodbccr.so
%{_libdir}/libodbcinst.so

%{_libdir}/pkgconfig/odbc.pc
%{_libdir}/pkgconfig/odbccr.pc
%{_libdir}/pkgconfig/odbcinst.pc

%{_includedir}/autotest.h
%{_includedir}/odbcinst.h
%{_includedir}/odbcinstext.h
%{_includedir}/sql.h
%{_includedir}/sqlext.h
%{_includedir}/sqlspi.h
%{_includedir}/sqltypes.h
%{_includedir}/sqlucode.h
%{_includedir}/unixodbc_conf.h
%{_includedir}/uodbc_extras.h
%{_includedir}/uodbc_stats.h

%changelog
* Tue Jan 26 2021 Abdirahim Musse <abdirahim.musse@ibm.com> - 2.3.9
- Update to 2.3.9
- Enable readline support

* Wed May 27 2020 Kevin Adler <kadler@us.ibm.com> - 2.3.4
- Use generic paths for man and info pages to allow for compression

* Fri Mar 15 2019 - Kevin Adler <kadler@us.ibm.com>
- Link to GNU iconv instead of PASE iconv
- Fix license and other metadata

* Sat Mar 03 2018 - Kevin Adler <kadler@us.ibm.com>
- Major spec cleanup

* Tue Feb 20 2018 - Kevin Adler <kadler@us.ibm.com>
- Fix unixodbc for chroot builds
